@echo off
REM  Memtest86+ Windows install script

echo   ##############################################################
echo   #                                                            #
echo   #  Memtest86+ V5.01 Installation                             #
echo   #  This installation creates a bootable floppy disk.         #
echo   #                                                            #
echo   #  Memtest is a standalone memory test and must be booted    #
echo   #  from a floppy disk.  Memtest cannot be executed under     #
echo   #  DOS or Windows.                                           #
echo   #  NOTE:You will not be able to read from the floppy after   #
echo   #  the test is installed.  This is normal.                   #
echo   #                                                            #
echo   ##############################################################
echo   .

REM  Are both files here?
if not exist .\dd.exe goto NO_PGM
if not exist .\memtestp.bin goto NO_BIN
pause
dd.exe if=memtestp.bin of=\\.\a: bs=18k
if errorlevel 1 echo Error: failed to write the image file!
if errorlevel 1 goto ERROR
echo Done!
echo To run Memtest86+, leave the floppy in the drive and reboot.
goto EXIT

:NO_PGM
echo Error: Can't find "dd.exe".  This program must be in the
echo same directory as the install script.
goto ERROR

:NO_BIN
echo Error: Can't find "memtestp.bin".  This file must be in the
echo same directory as the install script.
goto ERROR

:ERROR
echo Installation failed!

:EXIT
pause